[tool.poetry]
name = "wikimedia_code_health_check_cli"
version = "0.1.0"
description = "A basic cli to evaluate the health of a git repo"
authors = ["sbassett <sbassett@wikimedia.org>"]
license = "Apache 2.0"
readme = "README.md"
packages = [ { include = "wikimedia_code_health_check_cli" } ]

[tool.poetry.scripts]
wchc = 'wikimedia_code_health_check_cli.cli:cli'

[tool.poetry.dependencies]
python = "^3.9"
click = "^8.1.3"
GitPython = "^3.1.31"
glob2 = "^0.7"
jsonschema = "^4.17.3"
lxml = "^4.9.2"
numpy = "^1.25.0"
pathlib = "^1.0.1"
python-dotenv = "^1.0.0"
requests = "^2.31.0"
texttable = "^1.6.7"
validators = "^0.20.0"
python-dateutil = "^2.8.2"

[tool.poetry.group.dev.dependencies]
black = "^23.3.0"
flake8 = "^6.0.0"
pathvalidate = "^3.2.0"
pytest = "^7.4.0"
pytest-cov = "^4.1.0"
responses = "^0.23.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
